Subject: Re: [bug#57685] [PATCH v2 0/3] gnu: libharu: Update to 2.4.2.
From: Christopher Baines <[email-masked]>
To: "Paul A. Patience" <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Sep 2022 19:20:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

"Paul A. Patience" <[email-masked]> writes:

> The issue causing the saga build to fail was fixed in libHaru 2.4.2, so I
> updated it to that version.
> (I had tested the build of emboss, which also depends on libHaru, but not that
> of saga; I should have.)
>
> saga still needed a patch, and VTK too, because the 2.4.0 update of libHaru
> contained several breaking changes.
>
> Paul A. Patience (3):
>   gnu: libharu: Update to 2.4.2.
>   gnu: saga: Fix build with newer libHaru.
>   gnu: vtk: Use system libHaru.
>
>  gnu/packages/geo.scm              |  9 ++++++-
>  gnu/packages/image-processing.scm | 22 ++++++++++------
>  gnu/packages/pdf.scm              | 44 ++++++++++++++++---------------
>  3 files changed, 45 insertions(+), 30 deletions(-)

Thanks, these changes generally look good to me, and seem to update/fix
things, so I've gone ahead and pushed them to master as
c967d1153cae419e4acbe0dbed8f558d95ced0e3.

Thanks again,

Chris